Bug 787239 - Error when creating reoccurring operation
Error when creating reoccurring operation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 694221 rhq-uxd
  Show dependency treegraph
 
Reported: 2012-02-03 11:21 EST by John Sanda
Modified: 2013-08-31 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:13:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screen shot showing an attempt to schedule operation that results in error (61.40 KB, image/png)
2012-02-03 11:21 EST, John Sanda
no flags Details

  None (edit)
Description John Sanda 2012-02-03 11:21:51 EST
Created attachment 559320 [details]
screen shot showing an attempt to schedule operation that results in error

Description of problem:
When I try to schedule a reoccurring operation, I get a client side error. I ran into this while working in the feature/gwt-upgrade branch.

Version-Release number of selected component (if applicable):


How reproducible:
Always when I try to schedule a reoccurring operation.

Steps to Reproduce:
1. Go to the Operations tab for a platform resource.
2. Click the New button in the footer.
3. Select 'View Process List' from the operations drop down.
4. Select the 'Now & Repeat' radio button.
5. Enter 120 in the 'Run now and every' text field.
6. Select the 'For' radio button.
7. In the text field to the right, enter 2.
  
Actual results:
Here is the exception when I run in GWT dev mode:

00:07:35.574 [ERROR] (ErrorHandler.java:60) 2012-02-03 11:08:30,510 [WARN ] Failure in datasource while processing ADD request. 
java.lang.IllegalArgumentException: Something other than a Java object was returned from JSNI method '@com.smartgwt.client.util.JSOHelper::getAttributeAsObject(Lcom/google/gwt/core/client/JavaScriptObject;Ljava/lang/String;)': JS value of type int, expected java.lang.Object 	at com.google.gwt.dev.shell.JsValueGlue.get(JsValueGlue.java:178) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNativeObject(ModuleSpace.java:271) 	at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeObject(JavaScriptHost.java:91) 	at com.smartgwt.client.util.JSOHelper.getAttributeAsObject(JSOHelper.java) 	at com.smartgwt.client.core.DataClass.getAttributeAsObject(DataClass.java:218) 	at org.rhq.enterprise.gui.coregui.client.inventory.common.detail.operation.schedule.AbstractOperationScheduleDataSource.createJobTrigger(AbstractOperationScheduleDataSource.java:214) 	at org.rhq.enterprise.gui.coregui.client.inventory.common.detail.operation.schedule.AbstractOperationScheduleDataSource.copyValues(AbstractOperationScheduleDataSource.java:170) 	at org.rhq.enterprise.gui.coregui.client.inventory.resource.detail.operation.schedule.ResourceOperationScheduleDataSource.executeAdd(ResourceOperationScheduleDataSource.java:91) 	at org.rhq.enterprise.gui.coregui.client.util.RPCDataSource.transformRequest(RPCDataSource.java:141) 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 	at java.lang.reflect.Method.invoke(Method.java:597) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessagesWhileWaitingForReturn(BrowserChannelServer.java:337) 	at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:218) 	at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:136) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:561) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNativeObject(ModuleSpace.java:269) 	at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeObject(JavaScriptHost.java:91) 	at com.google.gwt.core.client.impl.Impl.apply(Impl.java) 	at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:213) 	at sun.reflect.GeneratedMethodAccessor40.invoke(Unknown Source) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 	at java.lang.reflect.Method.invoke(Method.java:597) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessagesWhileWaitingForReturn(BrowserChannelServer.java:337) 	at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:218) 	at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:136) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:561) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNativeVoid(ModuleSpace.java:289) 	at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeVoid(JavaScriptHost.java:107) 	at com.smartgwt.client.widgets.form.DynamicForm.saveData(DynamicForm.java) 	at org.rhq.enterprise.gui.coregui.client.components.form.AbstractRecordEditor.save(AbstractRecordEditor.java:261) 	at org.rhq.enterprise.gui.coregui.client.inventory.common.detail.operation.schedule.AbstractOperationScheduleDetailsView.save(AbstractOperationScheduleDetailsView.java:392) 	at org.rhq.enterprise.gui.coregui.client.components.form.AbstractRecordEditor$ButtonBar$1.onClick(AbstractRecordEditor.java:455) 	at com.smartgwt.client.widgets.events.ClickEvent.dispatch(ClickEvent.java:96) 	at com.smartgwt.client.widgets.events.ClickEvent.dispatch(ClickEvent.java:1) 	at com.google.gwt.event.shared.GwtEvent.dispatch(GwtEvent.java:1) 	at com.google.web.bindery.event.shared.EventBus.dispatchEvent(EventBus.java:40) 	at com.google.web.bindery.event.shared.SimpleEventBus.doFire(SimpleEventBus.java:193) 	at com.google.web.bindery.event.shared.SimpleEventBus.fireEvent(SimpleEventBus.java:88) 	at com.google.gwt.event.shared.HandlerManager.fireEvent(HandlerManager.java:127) 	at com.smartgwt.client.widgets.BaseWidget.fireEvent(BaseWidget.java:67) 	at sun.reflect.GeneratedMethodAccessor78.invoke(Unknown Source) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 	at java.lang.reflect.Method.invoke(Method.java:597) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessagesWhileWaitingForReturn(BrowserChannelServer.java:337) 	at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:218) 	at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:136) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:561) 	at com.google.gwt.dev.shell.ModuleSpace.invokeNativeObject(ModuleSpace.java:269) 	at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeObject(JavaScriptHost.java:91) 	at com.google.gwt.core.client.impl.Impl.apply(Impl.java) 	at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:213) 	at sun.reflect.GeneratedMethodAccessor40.invoke(Unknown Source) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 	at java.lang.reflect.Method.invoke(Method.java:597) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessages(BrowserChannelServer.java:292) 	at com.google.gwt.dev.shell.BrowserChannelServer.processConnection(BrowserChannelServer.java:546) 	at com.google.gwt.dev.shell.BrowserChannelServer.run(BrowserChannelServer.java:363) 	at java.lang.Thread.run(Thread.java:680)

Expected results:


Additional info:
I have not tested in master so I am not sure yet whether or not this issue is a result of the GWT/SmartGWT upgrade.
Comment 1 John Sanda 2012-02-06 11:40:47 EST
I tested this and master and did not reproduce. It thus appears that this is another upgrade issue.
Comment 2 Mike Foley 2012-02-06 12:02:30 EST
per bz triage (asantos, ccrouch, mfoley. loleary)
Comment 3 John Sanda 2012-02-15 17:35:40 EST
This has been fixed in the feature/gwt-upgrade branch.

commit hash: dded2b4ec905e2e6ae4b9b0b929bb3ce9bac0bb7
Comment 4 John Sanda 2012-02-17 11:49:35 EST
This commit has been merged into master.
Comment 5 Sunil Kondkar 2012-04-13 07:13:23 EDT
Verified on build#1321 (Version: 4.4.0-SNAPSHOT Build Number: 472e72f)

Followed the steps and verified that the reoccurring operations are scheduled successfully without errors.
Comment 6 Heiko W. Rupp 2013-08-31 06:13:52 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.